<?php
 /** Crimean Tatar (Qırımtatarca)
  * Latin/Cyrillic conversion tables
  *
  * @addtogroup Language
  *
*/
//     private static 
$mLatn2Cyrl = array
(
	
############################
# относятся ко всему слову #
############################

'^an$' => 'ань',
 '^An$' => 'Ань',
 '^AN$' => 'АНЬ',
 '^ange$' => 'аньге',
 '^Ange$' => 'Аньге',
 '^ANGE$' => 'АНЬГЕ',
 '^ande$' => 'аньде',
 '^Ande$' => 'Аньде',
 '^ANDE$' => 'АНЬДЕ',
 '^anki$' => 'аньки',
 '^Anki$' => 'Аньки',
 '^ANKİ$' => 'АНЬКИ',
 '^deral$' => 'деръал',
 '^Deral$' => 'Деръал',
 '^DERAL$' => 'ДЕРЪАЛ',
 '^kör$' => 'кёр',
 '^Kör$' => 'Кёр',
 '^KÖR$' => 'КЁР',
 '^mer$' => 'мэр',
 '^Mer$' => 'Мэр',
 '^MER$' => 'МЭР',
 '^rol$' => 'роль',
 '^Rol$' => 'Роль',
 '^ROL$' => 'РОЛЬ',
 '^üst$' => 'усть',
 '^Üst$' => 'Усть',
 '^ÜST$' => 'УСТЬ',
'^([34])(\-)ünci$' => '$1$2юнджи',
'^([34])(\-)ÜNCİ$' => '$1$2ЮНДЖИ',


## буква Ё - первый заход
## расставляем Ь после согласных
 '^([yY])ö(['.CRH_L_N_CONS.'])([aAuU'.CRH_L_CONS.']|$)' => '$1ö$2ь$3',
 '^([yY])Ö(['.CRH_L_N_CONS.'])([aAuU'.CRH_L_CONS.']|$)' => '$1Ö$2Ь$3',

## буква Ю - первый заход
## расставляем Ь после согласных
 '^([yY])ü(['.CRH_L_N_CONS.'])([aAuU'.CRH_L_CONS.']|$)' => '$1ü$2ь$3',
 '^([yY])Ü(['.CRH_L_N_CONS.'])([aAuU'.CRH_L_CONS.']|$)' => '$1Ü$2Ь$3',

 '^([bcgkpşBCGKPŞ])ö(['.CRH_L_N_CONS.'])(['.CRH_L_CONS.']|$)' => '$1ö$2ь$3',
 '^([bcgkpşBCGKPŞ])Ö(['.CRH_L_N_CONS.'])(['.CRH_L_CONS.']|$)' => '$1Ö$2Ь$3',
 '^([bcgkpşBCGKPŞ])Ö(['.CRH_L_N_CONS.'])(['.CRH_L_CONS.']|$)' => '$1Ö$2Ь$3',
 '^([bcgkpşBCGKPŞ])ü(['.CRH_L_N_CONS.'])(['.CRH_L_CONS.']|$)' => '$1ü$2ь$3',
 '^([bcgkpşBCGKPŞ])Ü(['.CRH_L_N_CONS.'])(['.CRH_L_CONS.']|$)' => '$1Ü$2Ь$3',
 '^([bcgkpşBCGKPŞ])Ü(['.CRH_L_N_CONS.'])(['.CRH_L_CONS.']|$)' => '$1Ü$2Ь$3',

 '^AQŞ(['.WORD_BOUND.'ngd])' => 'АКъШ$1',
 
## ö и ü в начале слова
## случаи, когда нужен Ь
 '^ö(['.CRH_L_N_CONS.'pP])(['.CRH_L_CONS.']|$)' => 'ö$1ь$2',
 '^Ö(['.CRH_L_N_CONS_LC.'p])(['.CRH_L_CONS.']|$)' => 'Ö$1ь$2',
 '^Ö(['.CRH_L_N_CONS_UC.'P])(['.CRH_L_CONS.']|$)' => 'Ö$1Ь$2',
 '^ü(['.CRH_L_N_CONS.'])(['.CRH_L_CONS.']|$)' => 'ü$1ь$2',
 '^Ü(['.CRH_L_N_CONS_LC.'])(['.CRH_L_CONS.']|$)' => 'Ü$1ь$2',
 '^Ü(['.CRH_L_N_CONS_UC.'])(['.CRH_L_CONS.']|$)' => 'Ü$1Ь$2',
 
## повел. накл. на -етсин
 '^etsin$' => 'этсин',
 '^Etsin$' => 'Этсин',
 '^ETSİN$' => 'ЭТСИН',

 
###########################
# относятся к концу слова #
###########################
 
 'ts$' => 'ц',
 'şç$' => 'щ',
 'Ş[çÇ]$' => 'Щ',
 'T[sS]$' => 'Ц',
 
## Ь после Л
 '(['.CRH_L_F.'])l(['.CRH_L_CONS_LC.']|$)' => '$1ль$2',
 '(['.CRH_L_F_UC.'])L(['.CRH_L_CONS.']|$)' => '$1ЛЬ$2',
 
 'etsin$' => 'етсин',
 'ETSİN$' => 'ЕТСИН',

 'köz$' => 'козь',
 'Köz$' => 'Козь',
 'KÖZ$' => 'КОЗЬ',

 
############################
# относятся к началу слова #
############################
 
'^italât' => 'итъалят',
 '^İtalât' => 'Итъалят',
 '^İTALÂT' => 'ИТЪАЛЯТ',
 '^ital' => 'итъаль',
 '^İtal' => 'Итъаль',
 '^İTAL' => 'ИТЪАЛЬ',
'^palma' => 'пальма',
 '^Palma' => 'Пальма',
 '^PALMA' => 'ПАЛЬМА',
'^rol([^ü])' => 'роль$1',
 '^Rol([^ü])' => 'Роль$1',
 '^ROL([^Ü])' => 'РОЛЬ$1',
 '^surat' => 'сурьат',
 '^Surat' => 'Сурьат',
 '^SURAT' => 'СУРЬАТ',
 '^üsьt([knt])' => 'усть$1',
 '^Üsьt([knt])' => 'Усть$1',
 '^ÜSЬT([KNT])' => 'УСТЬ$1',
 '^maal([^e])' => 'мааль$1',
 '^Maal([^e])' => 'Мааль$1',
 '^MAAL([^E])' => 'МААЛЬ$1',
 '^küf([^eü])' => 'куфь$1',
 '^Küf([^eü])' => 'Куфь$1',
 '^KÜF([^EÜ])' => 'КУФЬ$1',


 '^ts' => 'ц',
 '^T[sS]' => 'Ц',

 '^şç' => 'щ',
 '^Ş[çÇ]' => 'Щ',
 
## Э
 '(^|['.CRH_L_VOW.'аеэяАЕЭЯ])e' => '$1э',
 '(^|['.CRH_L_VOW_UC.'АЕЭЯ])E' => '$1Э',
 
 
 '^(['.CRH_L_M_CONS.'])ö' => '$1о',
 '^(['.CRH_L_M_CONS.'])Ö' => '$1О',
 '^(['.CRH_L_M_CONS.'])ü' => '$1у',
 '^(['.CRH_L_M_CONS.'])Ü' => '$1У',

 
 '^ö' => 'о',
 '^Ö' => 'О',
 '^ü' => 'у',
 '^Ü' => 'У',

 
###############################
# не зависят от места в слове #
###############################

 'köz([^eü])' => 'козь$1',
 'Köz([^eü])' => 'Козь$1',
 'KÖZ([^EÜ])' => 'КОЗЬ$1',

 'койü' => 'кою',
 'Койü' => 'Кою',
 'КОЙÜ' => 'КОЮ',
 

## Punctuation
# '#|No\.' => '№',
 
## некоторые случаи употребления Ц
 'tsi([^zñ])' => 'ци$1',
 'T[sS][iİ]([^zZñÑ])' => 'ЦИ$1',
 'ts([ou])' => 'ц$1',
 'T[sS]([oOuU])' => 'Ц$1',
 'ts(['.CRH_L_CONS.'])' => 'ц$1',
 'T[sS](['.CRH_L_CONS.'])' => 'Ц$1',
 '(['.CRH_L_CONS.'])ts' => '$1ц',
 '(['.CRH_L_CONS.'])T[sS]' => '$1Ц',
 'tsizm' => 'цизм',
 'TSİZM' => 'ЦИЗМ',
 'tsиал' => 'циал',
 'TSИАЛ' => 'ЦИАЛ',
 'цın' => 'тсын',
 'ЦIN' => 'ТСЫН',
 'цız' => 'тсыз',
 'ЦIZ' => 'ТСЫЗ',
 
 
## слова на -льон
 'lyon' => 'льон',
 'LYON' => 'ЛЬОН',
 
## убираем ьi
 'ьi' => 'i',
 'Ьi' => 'i',
 'Ьİ' => 'İ',
 
## буквы гъ, къ, нъ
 'ğ' => 'гъ',
 'Ğ(['.CRH_L_LC.'])' => 'Гъ$1',
 'Ğ' => 'ГЪ',
 'ĞĞ' => 'ГЪГЪ',
 'q' => 'къ',
 'Q(['.CRH_L_LC.'])' => 'Къ$1',
 'Q' => 'КЪ',
 'QQ' => 'КЪКЪ',
 'ñ' => 'нъ',
 'Ñ(['.CRH_L_LC.'])' => 'Нъ$1',
 'Ñ' => 'НЪ',
 'ÑÑ' => 'НЪНЪ',
 
## ya и ye
 '(['.CRH_L_CONS.'])ya' => '$1ья',
 '(['.CRH_L_CONS.'])Y[aA]' => '$1ЬЯ',
 'ya' => 'я',
 'Y[aA]' => 'Я',
 '(['.CRH_L_CONS.'])ye' => '$1ье',
 '(['.CRH_L_CONS.'])Y[eE]' => '$1ЬЕ',
 'ye' => 'е',
 'Y[eE]' => 'Е',
 
## расставляем Ь перед Ё
 '(['.CRH_L_CONS.'])y[oö]' => '$1ьё',
 '(['.CRH_L_CONS.'])Y[oOöÖ]' => '$1ЬЁ',

## оставшиеся вхождения yo и yö
 'y[oö]' => 'ё',
 'Y[oOöÖ]' => 'Ё',
 '[yY][oOöÖ]' => 'Ё',
 
## расставляем Ь перед Ю
 '(['.CRH_L_CONS.'])y[uü]' => '$1ью',
 '(['.CRH_L_CONS.'])Y[uUüÜ]' => '$1ЬЮ',

## оставшиеся вхождения yu и yü
 'y[uü]' => 'ю',
 'Y[uUüÜ]' => 'Ю',
 '[yY][uUüÜ]' => 'Ю',
 
 
## убираем ьa
 'ьa' => 'a',
 'Ьa' => 'a',
 'ЬA' => 'A',
 
 
## все оставшиеся вхождения a, e, o, ö, ü, u, y
 'A' => 'А', 'a' => 'а',
 'E' => 'Е', 'e' => 'е',
 'O' => 'О', 'o' => 'о',
 'Ö' => 'Ё', 'ö' => 'ё',
 'U' => 'У', 'u' => 'у',
 'Ü' => 'Ю', 'ü' => 'ю',
 'Y' => 'Й', 'y' => 'й',
 
## буква дж
 'c' => 'дж',
 'C(['.CRH_L_LC.CRH_C_LC.'])' => 'Дж$1',
 'C(['.CRH_L_UC.CRH_C_UC.'])' => 'ДЖ$1',
 'C(['.CRH_L_UC.CRH_C_UC.'Ъ])' => 'ДЖ$1',
 
## все остальные буквы
 'all_other_letters' => TRUE,
  
## убираем кьк, льл, ньн, рьр, сьс, тьт
'кьк' => 'кк',
 'К[ьЬ]к' => 'Кк',
 'КЬК' => 'КК',
 'льл' => 'лл',
 'Л[ьЬ]л' => 'Лл',
 'ЛЬЛ' => 'ЛЛ',
 'ньн' => 'нн',
 'Н[ьЬ]н' => 'Нн',
 'НЬН' => 'НН',
 'рьр' => 'рр',
 'Р[ьЬ]р' => 'Рр',
 'РЬР' => 'РР',
 'сьс' => 'сс',
 'С[ьЬ]с' => 'Сс',
 'СЬС' => 'СС',
 'тьт' => 'тт',
 'Т[ьЬ]т' => 'Тт',
 'ТЬТ' => 'ТТ',
 
## убираем ьы и ь..ы
 '[ьЬ]ы' => 'ы',
 'ЬЫ' => 'Ы',
 '[ьЬ]([гдклмнпрстчшГДКЛМНПРСТЧШ])ы' => '$1ы',
 'Ь([гдклмнпрстчшГДКЛМНПРСТЧШ])Ы' => '$1Ы',
 '[ьЬ]([гкнГКН])([ъЪ])ы' => '$1$2ы',
 'Ь([ГКН])ЪЫ' => '$1ЪЫ',
 
## убираем йь
'йь' => 'й',
'ЙЬ' => 'Й',
 
);
$all_other_letters_lat2cyr = array(
 'Â' => 'Я', 'â' => 'я',
 'B' => 'Б', 'b' => 'б',
 'Ç' => 'Ч', 'ç' => 'ч',
 'D' => 'Д', 'd' => 'д',
 'F' => 'Ф', 'f' => 'ф',
 'G' => 'Г', 'g' => 'г',
 'H' => 'Х', 'h' => 'х',
 'I' => 'Ы', 'ı' => 'ы',
 'İ' => 'И', 'i' => 'и',
 'J' => 'Ж', 'j' => 'ж',
 'K' => 'К', 'k' => 'к',
 'L' => 'Л', 'l' => 'л',
 'M' => 'М', 'm' => 'м',
 'N' => 'Н', 'n' => 'н',
 'O' => 'О', 'o' => 'о',
 'P' => 'П', 'p' => 'п',
 'R' => 'Р', 'r' => 'р',
 'S' => 'С', 's' => 'с',
 'Ş' => 'Ш', 'ş' => 'ш',
 'T' => 'Т', 't' => 'т',
 'V' => 'В', 'v' => 'в',
 'Z' => 'З', 'z' => 'з',
);
/*
 *

*/
//		private static 
$mCyrl2Latn = array
(
 
############################
# относятся ко всему слову #
############################
 
 '^ДЭ$' => 'CE',
 '^ДА$' => 'CA',
 '^ДЖ$' => 'CM',

 '^Онджеки$' => 'Evelki',
 '^Эввельки$' => 'Evelki',
 '^Сайфе$' => 'saife',
 '^сайфе$' => 'saife',
 '^Елла$' => 'Yolla',

 
 '^КъЮШ$' => 'QYŞ',
 '^ЮШ$' => 'YŞ',

 '^кою$' => 'köyü',
 '^Кою$' => 'Köyü',
 '^КОЮ$' => 'KÖYÜ',
 
 '^кок$' => 'kök',
 '^Кок$' => 'Kök',
 '^КОК$' => 'KÖK',
 '^ком-кок$' => 'köm-kök',
 '^Ком-кок$' => 'Köm-kök',
 '^КОМ-КОК$' => 'KÖM-KÖK',
 
 '^коп$' => 'köp',
 '^Коп$' => 'Köp',
 '^КОП$' => 'KÖP',
 
 '^ог$' => 'ög',
 '^Ог$' => 'Ög',
 '^ОГ$' => 'ÖG',
 
 '^юрип$' => 'yürip',
 '^Юрип$' => 'Yürip',
 '^ЮРИП$' => 'YÜRİP',
 
 '^юз$' => 'yüz',
 '^Юз$' => 'Yüz',
 '^ЮЗ$' => 'YÜZ',
 
 '^юк$' => 'yük',
 '^Юк$' => 'Yük',
 '^ЮК$' => 'YÜK',

 '^буюп$' => 'büyüp',
 '^Буюп$' => 'Büyüp',
 '^БУЮП$' => 'BÜYÜP',


 '^буюк$' => 'büyük',
 '^Буюк$' => 'Büyük',
 '^БУЮК$' => 'BÜYÜK',

 '^джонк$' => 'cönk',
 '^Джонк$' => 'Cönk',
 '^ДЖОНК$' => 'CÖNK',
 '^джонкю$' => 'cönkü',
 '^Джонкю$' => 'Cönkü',
 '^ДЖОНКЮ$' => 'CÖNKÜ',

 '^устке$' => 'üstke',
 '^Устке$' => 'Üstke',
 '^УСТКЕ$' => 'ÜSTKE',
 '^устте$' => 'üstte',
 '^Устте$' => 'Üstte',
 '^УСТТЕ$' => 'ÜSTTE',
 '^усттен$' => 'üstten',
 '^Усттен$' => 'Üstten',
 '^УСТТЕН$' => 'ÜSTTEN',

'^([34])(\-)юнджи$' => '$1$2ünci',
'^([34])(\-)ЮНДЖИ$' => '$1$2ÜNCİ',



## отдельно стоящие Ё и Я
 '^Я$' => '$1Ya$2',
 '^Ё$' => '$1Yo$2',
 
 
###########################
# относятся к концу слова #
###########################
 
 'кой$' => 'köy',
 'Кой$' => 'Köy',
 'КОЙ$' => 'KÖY',
 'койнинъ$' => 'köyniñ',
 'Койнинъ$' => 'Köyniñ',
 'КОЙНИНЪ$' => 'KÖYNİÑ',
 'койни$' => 'köyni',
 'Койни$' => 'Köyni',
 'КОЙНИ$' => 'KÖYNİ',
 'койге$' => 'köyge',
 'Койге$' => 'Köyge',
 'КОЙГЕ$' => 'KÖYGE',
 'койде$' => 'köyde',
 'Койде$' => 'Köyde',
 'КОЙДЕ$' => 'KÖYDE',
 'койдеки$' => 'köydeki',
 'Койдеки$' => 'Köydeki',
 'КОЙДЕКИ$' => 'KÖYDEKİ',
 'койден$' => 'köyden',
 'Койден$' => 'Köyden',
 'КОЙДЕН$' => 'KÖYDEN',
 'козь$' => 'köz',
 'Козь$' => 'Köz',
 'КОЗЬ$' => 'KÖZ',


 
############################
# относятся к началу слова #
############################


'^КъЮШн' => 'QYŞn',
'^ЮШн' => 'YŞn',

 '^буюк([^ъ])' => 'büyük$1',
 '^Буюк([^ъ])' => 'Büyük$1',
 '^БУЮК([^Ъ])' => 'BÜYÜK$1',
 '^бую([гдйлмнпрстчшc])(и)' => 'büyü$1$2',
 '^Бую([гдйлмнпрстчшc])(и)' => 'Büyü$1$2',
 '^БУЮ([ГДЙЛМНПРСТЧШС])(И)' => 'BÜYÜ$1$2',
 '^буют([^ыа])' => 'büyüt$1',
 '^Буют([^ыа])' => 'Büyüt$1',
 '^БУЮТ([^ЫА])' => 'BÜYÜT$1',
 '^джонк([^ъ])' => 'cönk$1',
 '^Джонк([^ъ])' => 'Cönk$1',
 '^ДЖОНК([^Ъ])' => 'CÖNK$1',
 
 '^коюм' => 'köyüm',
 '^Коюм' => 'Köyüm',
 '^КОЮМ' => 'KÖYÜM',
 
 '^коюнъ' => 'köyüñ',
 '^Коюнъ' => 'Köyüñ',
 '^КОЮНЪ' => 'KÖYÜÑ',
 
 '^коюн([ди])' => 'köyün$1',
 '^Коюн([ди])' => 'Köyün$1',
 '^КОЮН([ДИ])' => 'KÖYÜN$1',
 
 '^куе' => 'küye',
 '^Куе' => 'Küye',
 '^КУЕ' => 'KÜYE',

'^куркке' => 'kürkke',
 '^Куркке' => 'Kürkke',
 '^КУРККЕ' => 'KÜRKKE',
'^куркни' => 'kürkni',
 '^Куркни' => 'Kürkni',
 '^КУРКНИ' => 'KÜRKNİ',
'^куркте' => 'kürkte',
 '^Куркте' => 'Kürkte',
 '^КУРКТЕ' => 'KÜRKTE',
'^куркчи' => 'kürkçi',
 '^Куркчи' => 'Kürkçi',
 '^КУРКЧИ' => 'KÜRKÇİ',
'^куркчю' => 'kürkçü',
 '^Куркчю' => 'Kürkçü',
 '^КУРКЧЮ' => 'KÜRKÇÜ',



## этот кусок хоть и не зависит от места в слове, но должен идти в начале, иначе нельзя
 'гъ' => 'ğ',
 'Г[ъЪ]' => 'Ğ',
 'къ' => 'q',
 'К[ъЪ]' => 'Q',
 'нъ' => 'ñ',
 'Н[ъЪ]' => 'Ñ',
 'дж' => 'c',
 'Д[жЖ]' => 'C',

 
## о => ö 
 '^(['.CRH_C_M_CONS.'])о(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьü])' => '$1ö$2$3$4',
 '^о(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьü])' => 'ö$1$2$3',
 '^(['.CRH_C_M_CONS.'])О(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => '$1Ö$2$3$4',
 '^О(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => 'Ö$1$2$3',
 
 '^(['.CRH_C_M_CONS.'])о(['.CRH_C_CONS.'])([еиэюьü])' => '$1ö$2$3',
 '^о(['.CRH_C_CONS.'])([еиэюьü])' => 'ö$1$2',
 '^(['.CRH_C_M_CONS.'])О(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => '$1Ö$2$3',
 '^О(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => 'Ö$1$2',

## ё => yö  
 '^ё(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([ьеюü])' => 'yö$1$2$3',
 '^Ё(['.CRH_C_CONS_LC.'])(['.CRH_C_CONS_LC.'])([ьеюü])' => 'Yö$1$2$3',
 '^Ё(['.CRH_C_CONS_UC.'])(['.CRH_C_CONS_UC.'])([ЬЕЮÜ])' => 'YÖ$1$2$3',
 '^ё(['.CRH_C_CONS.'])([ьеюü])' => 'yö$1$2',
 '^Ё(['.CRH_C_CONS_LC.'])([ьеюü])' => 'Yö$1$2',
 '^Ё(['.CRH_C_CONS_UC.'])([ЬЕЮÜ])' => 'YÖ$1$2',
 

## у => ü, ую => üyü 
 '^(['.CRH_C_M_CONS.'])у(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьü])' => '$1ü$2$3$4',
 '^у(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьü])' => 'ü$1$2$3',
 '^ую(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьü])' => 'üyü$1$2$3',
 '^(['.CRH_C_M_CONS.'])У(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => '$1Ü$2$3$4',
 '^У(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => 'Ü$1$2$3',
 '^Ую(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьü])' => 'Üyü$1$2$2',
 '^УЮ(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([еиэюьü])' => 'ÜYÜ$1$2$3',
 
 '^(['.CRH_C_M_CONS.'])у(['.CRH_C_CONS.'])([еиэюьü])' => '$1ü$2$3',
 '^у(['.CRH_C_CONS.'])([еиэюьü])' => 'ü$1$2',
 '^ую(['.CRH_C_CONS.'])([еиэюьü])' => 'üyü$1$2',
 '^(['.CRH_C_M_CONS.'])У(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => '$1Ü$2$3',
 '^У(['.CRH_C_CONS.'])([еиэюьüЕИЭЮЬÜ])' => 'Ü$1$2',
 '^Ую(['.CRH_C_CONS.'])([еиэюьü])' => 'Üyü$1$2',
 '^УЮ(['.CRH_C_CONS.'])([еиэюьü])' => 'ÜYÜ$1$2',

# ю => yü 
 '^([аыоуеиёюАЫОУЕИЁЮ]?)ю(['.CRH_C_CONS.'])(['.CRH_C_CONS.'])([ьеюü])' => '$1yü$2$3$4',
 '^([АЫОУЕИЁЮ]?)Ю(['.CRH_C_CONS_LC.'])(['.CRH_C_CONS_LC.'])([ьеюü])' => '$1Yü$2$3$4',
 '^([АЫОУЕИЁЮ]?)Ю(['.CRH_C_CONS_UC.'])(['.CRH_C_CONS_UC.'])([ЬЕЮÜ])' => '$1YÜ$2$3$4',
 '^([аыоуеиёюАЫОУЕИЁЮ]?)ю(['.CRH_C_CONS.'])([ьеюü])' => '$1yü$2$3',
 '^([АЫОУЕИЁЮ]?)Ю(['.CRH_C_CONS_LC.'])([ьеюü])' => '$1Yü$2$3',
 '^([АЫОУЕИЁЮ]?)Ю(['.CRH_C_CONS_UC.'])([ЬЕЮÜ])' => '$1YÜ$2$3',
 
## арабизмы на муи- муэ-
 '^му([иэИЭ])' => 'mü$1',
 '^Му([иэИЭ])' => 'Mü$1',
 '^МУ([ИЭ])' => 'MÜ$1',
 
## e => ye, я => ya
 '^е' => 'ye',
 '^Е(['.CRH_C_LC.'cğñqöü])' => 'Ye$1',
 '^Е(['.CRH_C_UC.'CĞÑQÖÜ])' => 'YE$1',
 '^я' => 'ya',
 '^Я(['.CRH_C_LC.'cğñqöü])' => 'Ya$1',
 '^Я(['.CRH_C_UC.'CĞÑQÖÜ])' => 'YA$1',
 '([аеёиоуыэюяйьъaeöüАЕЁИОУЫЭЮЯЙЬЪAEÖÜ])е' => '$1ye',
 '([аеёиоуыэюяйьъaeöüАЕЁИОУЫЭЮЯЙЬЪAEÖÜ])Е(['.CRH_C_LC.'cğñqöü])' => '$1Ye$2',
 '([аеёиоуыэюяйьъaeöüАЕЁИОУЫЭЮЯЙЬЪAEÖÜ])Е(['.CRH_C_UC.'CĞÑQÖÜ])' => '$1YE$2',
 '([аеёиоуыэюяйьъaeöüğqАЕЁИОУЫЭЮЯЙЬЪAEÖÜĞQ])я' => '$1ya',
 '([аеёиоуыэюяйьъaeöüğqАЕЁИОУЫЭЮЯЙЬЪAEÖÜĞQ])Я(['.CRH_C_LC.'cğñqöü])' => '$1Ya$2',
 '([аеёиоуыэюяйьъaeöüğqАЕЁИОУЫЭЮЯЙЬЪAEÖÜĞQ])Я(['.CRH_C_UC.'CĞÑQÖÜ])' => '$1YA$2',


###############################
# не зависят от места в слове #
###############################

## слова на -льон
 'льон' => 'lyon',
 'ЛЬОН' => 'LYON',

 'козь([^я])' => 'köz$1',
 'Козь([^я])' => 'Köz$1',
 'КОЗЬ([^Я])' => 'KÖZ$1',
 
## номер
# '№' => 'No.',
 
## Ö, Ü 1-й заход: ё, ю после согласных > ö, ü
 '(['.CRH_C_CONS.'])ю' => '$1ü',
 '(['.CRH_C_CONS.'])Ю' => '$1Ü',
 '(['.CRH_C_CONS.'])ё' => '$1ö',
 '(['.CRH_C_CONS.'])Ё' => '$1Ö',
 
 
## буквы Е и Я
## остальные вхождения e и я
 'Е' => 'E', 'е' => 'e',
 'Я' => 'Â', 'я' => 'â',
 
## остальные вхождения о, у, ё, ю
 'Ё(['.CRH_C_UC.'CĞÑQÖÜ])' => 'YO$2',
 'Ё' => 'Yo', 'ё' => 'yo',
 'Ю(['.CRH_C_UC.'CĞÑQÖÜ])' => 'YU$2',
 'Ю' => 'Yu', 'ю' => 'yu',
 'У' => 'U', 'у' => 'u',
 'О' => 'O', 'о' => 'o',
 
## убираем Ь и Ъ
 'Ь' => '', 'ь' => '',
 'Ъ' => '', 'ъ' => '',
 
## буквы Ц и Щ
 'Ц(['.CRH_C_UC.'CĞÑQÖÜ])' => 'TS$2',
 'Ц' => 'Ts', 'ц' => 'ts',
 'Щ(['.CRH_C_UC.'CĞÑQÖÜ])' => 'ŞÇ$2',
 'Щ' => 'Şç', 'щ' => 'şç',

 
## все остальные буквы
 'all_other_letters' => TRUE,
 );

$all_other_letters_cyr2lat = array(
 'А' => 'A', 'а' => 'a',
 'Б' => 'B', 'б' => 'b',
 'В' => 'V', 'в' => 'v',
 'Г' => 'G', 'г' => 'g',
 'Д' => 'D', 'д' => 'd',
 'Ж' => 'J', 'ж' => 'j',
 'З' => 'Z', 'з' => 'z',
 'И' => 'İ', 'и' => 'i',
 'Й' => 'Y', 'й' => 'y',
 'К' => 'K', 'к' => 'k',
 'Л' => 'L', 'л' => 'l',
 'М' => 'M', 'м' => 'm',
 'Н' => 'N', 'н' => 'n',
 'П' => 'P', 'п' => 'p',
 'Р' => 'R', 'р' => 'r',
 'С' => 'S', 'с' => 's',
 'Т' => 'T', 'т' => 't',
 'Ф' => 'F', 'ф' => 'f',
 'Х' => 'H', 'х' => 'h',
 'Ч' => 'Ç', 'ч' => 'ç',
 'Ш' => 'Ş', 'ш' => 'ş',
 'Ы' => 'I', 'ы' => 'ı',
 'Э' => 'E', 'э' => 'e',
 );

?>